Bug 831606 - Ticket Monster: Administration doesn't work
Ticket Monster: Administration doesn't work
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise WFK Platform 2
Classification: JBoss
Component: Examples (Show other bugs)
2.0.0.ER7
Unspecified Unspecified
high Severity high
: CR1
: 2.1.0
Assigned To: Marius Bogoevici
Tomas Repel
ticket-monster
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 08:31 EDT by Tomas Repel
Modified: 2013-10-07 03:37 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The TicketMonster application did not contain an Administration section. When a user tried to access the Administration menu a 404 Error would be shown. TicketMonster has been updated for this release and the Administration section is now generated by Forge.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-30 10:34:25 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JDF-118 Major Resolved Administration should be provide out of the box in packaged example 2013-10-07 03:37:30 EDT

  None (edit)
Description Tomas Repel 2012-06-13 08:31:15 EDT
Description of problem:

Clicking on 'Administration' menu item causes HTTP Status 404 error.

Version-Release number of selected component (if applicable):

WFK2 ER8
EAP6 CR1

How reproducible:

Always.

Steps to Reproduce:
1. package and deploy Ticket Monster example
2. click on 'Administration' menu item
  
Actual results:

Page is not found, HTTP Status 404 error is shown to the user.

Expected results:

There is no administration, but I think something better than 404 should appear.
Comment 1 Marius Bogoevici 2012-06-13 11:21:44 EDT
The admin site must be generated with Forge first.
Comment 2 Karel Piwko 2012-06-20 11:46:10 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
TicketMonster application does not contain Administration section.
Comment 3 Rebecca Newton 2012-06-21 01:18:38 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1 +1 @@
-TicketMonster application does not contain Administration section.+The TicketMonster application does not contain an Administration section, which means that a 404 Error is shown when the Administration menu is clicked.
Comment 6 Marek Novotny 2012-09-25 04:18:54 EDT
Marius, will new jdf ticketmonster be fixed for this issue?
Comment 7 JBoss JIRA Server 2012-10-20 04:19:59 EDT
Marius Bogoevici <mariusb@redhat.com> made a comment on jira JDF-118

Actually, I'm not sure that this would be a good thing.

We are trying to demonstrate the process of adding the site via Forge, so we need a clean codebase to run against.

We could include a pre-generated project as a reference, but I don't think that it should ever replace the 'clean' version.

Also, keeping the generated code in SCM would be an ongoing maintenance issue.
Comment 8 Marek Novotny 2012-11-06 03:31:39 EST
We will pick up 2.0.2.Final as a baseline for our version 2.0.2.Final-redhat-1
Comment 9 Marek Novotny 2012-11-06 04:14:29 EST
(In reply to comment #8)
> We will pick up 2.0.2.Final as a baseline for our version
> 2.0.2.Final-redhat-1

Correcting previous information about real upstream version - 2.0.4.Final
Comment 11 Tomas Repel 2012-11-08 07:53:46 EST
Verified in WFK 2.1.0.CR1.
Comment 12 Isaac Rooskov 2012-11-14 20:11:42 EST
Can you please provide information on how this was fixed. Was the administration menu correctly added in or negated in favor of forcing Forge use?
Comment 13 Marek Novotny 2012-11-15 02:47:22 EST
Ticket Monster now contains a few patches which can be run in Forge tool and as a result Administration part of TicketMonster is generated by Forge.
Comment 14 Isaac Rooskov 2012-11-15 19:10:11 EST
Thanks for the info Marek :D
Comment 15 Karel Piwko 2012-11-30 10:34:25 EST
Distributed as a part of WFK 2.1.0.GA release.
Comment 16 JBoss JIRA Server 2013-10-07 03:37:30 EDT
Vineet Reynolds <vineet.reynolds@gmail.com> updated the status of jira JDF-118 to Resolved
Comment 17 JBoss JIRA Server 2013-10-07 03:37:30 EDT
Vineet Reynolds <vineet.reynolds@gmail.com> made a comment on jira JDF-118

Resolved in JDF-495 via commit: https://github.com/jboss-jdf/ticket-monster/commit/b47a3dc4f96404582620cb11981d5088104923db

Note You need to log in before you can comment on or make changes to this bug.